Page MenuHomePhabricator

[Feeds] Implement "continue reading" card.
Closed, ResolvedPublic3 Story Points

Description

Given $title is at the top of my history
When I go to the Explore view
Then I should see a “Continue Reading” card containing $title at the top of feed.

Details

Related Gerrit Patches:
apps/android/wikipedia : masterAdd continue reading coordinator test
apps/android/wikipedia : masterAdd continue reading card logic
apps/android/wikipedia : masterAdd header & footer View support to Feed list card
apps/android/wikipedia : masterUpdate Feed UI for continue reading

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2016, 9:50 PM
MBinder_WMF set the point value for this task to 3.May 13 2016, 6:15 PM
Mholloway updated the task description. (Show Details)May 23 2016, 2:04 PM
Niedzielski moved this task from To Do to Doing on the Mobile-App-Android-Sprint-83-Bismuth board.

Change 291115 had a related patch set uploaded (by Niedzielski):
Update Feed UI for continue reading

https://gerrit.wikimedia.org/r/291115

Change 292054 had a related patch set uploaded (by Niedzielski):
Add header & footer View support to Feed list card

https://gerrit.wikimedia.org/r/292054

Niedzielski added a subscriber: Dbrant.EditedJun 2 2016, 8:34 PM

(If it has not yet been 24 hours since user last opened the app, they will return to page they were last viewing.)

@Dbrant, this case seems like a separate task that would choose whether to display the Feed or the PageFragment. Is it ok to make one for it? I don't think now is the right time to work on it.

And I have not dismissed “Continue Reading” for $title

@Dbrant, I can't find a task for this but I don't think it should be part of this card which is just to encompass UI and data client, not interaction. Although the interaction is simple, I don't want to see this card grow in scope. Is it ok to make one for it?

@Niedzielski Agreed on both counts.

Change 292587 had a related patch set uploaded (by Niedzielski):
Add continue reading coordinator test

https://gerrit.wikimedia.org/r/292587

@Dbrant, I've added T136961 and T136962 for these tasks. I suspect we'll also want to filter the main page and possibly special pages like File, which would need yet another task. Let me know if you want me to make that one too.

@Niedzielski or @Dbrant please add those tasks as a blocker to this one, or directly to https://phabricator.wikimedia.org/T129076

Dbrant updated the task description. (Show Details)Jun 3 2016, 7:09 PM

Change 291115 merged by jenkins-bot:
Update Feed UI for continue reading

https://gerrit.wikimedia.org/r/291115

Change 292054 merged by jenkins-bot:
Add header & footer View support to Feed list card

https://gerrit.wikimedia.org/r/292054

Change 292586 merged by jenkins-bot:
Add continue reading card logic

https://gerrit.wikimedia.org/r/292586

Change 292587 merged by jenkins-bot:
Add continue reading coordinator test

https://gerrit.wikimedia.org/r/292587

Dbrant closed this task as Resolved.Jun 14 2016, 1:42 PM